summaryrefslogtreecommitdiff
path: root/iptv.sh
diff options
context:
space:
mode:
Diffstat (limited to 'iptv.sh')
-rwxr-xr-xiptv.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/iptv.sh b/iptv.sh
index 5280be5..da80728 100755
--- a/iptv.sh
+++ b/iptv.sh
@@ -46,6 +46,20 @@ if [[ -z "$mac_address" ]]; then
fi
##
+## Check dependencies
+##
+
+if ! command -v jq &>/dev/null; then
+ echo "The jq package that handles HTTP JSON response is not installed."
+ exit 1
+fi
+
+if ! command -v openssl &>/dev/null; then
+ echo "The OpenSSL package that handles token computation is not installed."
+ exit 1
+fi
+
+##
## Execute the main script
##